List an animal's placements
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/placements \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/placements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/placements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"person_id": "<string>",
"role": "intake",
"started_on": "2023-12-25",
"ended_on": "2023-12-25",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Animal placements
List an animal's placements
The people the animal came from or has been placed with: open placements first, then by start date, latest first. Needs read on Animals.
GET
/
api
/
animals
/
animals
/
{id}
/
placements
List an animal's placements
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/placements \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/placements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/placements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"person_id": "<string>",
"role": "intake",
"started_on": "2023-12-25",
"ended_on": "2023-12-25",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}